package com.fos.modules.printOrder.entity;

import java.util.List;

import com.fos.core.base.BaseEntity;

public class OrderEntity extends BaseEntity {

	// 订单菜品Id
	private String orderFoodId;
	// 菜品Id
	private String foodId;
	// 订单Id
    private String orderId;
	// 订单code
	private String orderCode;
	// 打印状态
	private String printStatus;
	// 客户昵称
	private String nickName;
	// 菜品类别
	private String foodType;
	// 套餐类别
	private String setType;
	// 菜品名称
	private String foodName;
	// 菜品数量
	private String foodNum;
	// 区域
	private String tableArea;
	// 座位号
	private String seatNum;
	// 备注
	private String remark;
	// 订单时间
	private String orderTime;
	// 套餐id
    private String contain;
	// 口味信息
	private List<String> foodPreList;
	// 套餐内容
	private List<SubFoodEntity> foodNameList;


	public List<String> getFoodPreList() {
		return foodPreList;
	}

	public void setFoodPreList(List<String> foodPreList) {
		this.foodPreList = foodPreList;
	}
	
	public String getOrderId() {
		return orderId;
	}
	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public String getOrderFoodId() {
		return orderFoodId;
	}

	public void setOrderFoodId(String orderFoodId) {
		this.orderFoodId = orderFoodId;
	}

	public String getOrderCode() {
		return orderCode;
	}

	public void setOrderCode(String orderCode) {
		this.orderCode = orderCode;
	}

	public String getPrintStatus() {
		return printStatus;
	}

	public void setPrintStatus(String printStatus) {
		this.printStatus = printStatus;
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	public String getFoodType() {
		return foodType;
	}

	public void setFoodType(String foodType) {
		this.foodType = foodType;
	}

	public String getFoodName() {
		return foodName;
	}

	public void setFoodName(String foodName) {
		this.foodName = foodName;
	}

	public String getFoodNum() {
		return foodNum;
	}

	public void setFoodNum(String foodNum) {
		this.foodNum = foodNum;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getOrderTime() {
		return orderTime;
	}

	public void setOrderTime(String orderTime) {
		this.orderTime = orderTime;
	}

	public String getTableArea() {
		return tableArea;
	}

	public void setTableArea(String tableArea) {
		this.tableArea = tableArea;
	}

	public String getSeatNum() {
		return seatNum;
	}

	public void setSeatNum(String seatNum) {
		this.seatNum = seatNum;
	}

	public String getContain() {
		return contain;
	}

	public void setContain(String contain) {
		this.contain = contain;
	}

	public String getFoodId() {
		return foodId;
	}

	public void setFoodId(String foodId) {
		this.foodId = foodId;
	}

	public String getSetType() {
		return setType;
	}

	public void setSetType(String setType) {
		this.setType = setType;
	}

	public List<SubFoodEntity> getFoodNameList() {
		return foodNameList;
	}

	public void setFoodNameList(List<SubFoodEntity> foodNameList) {
		this.foodNameList = foodNameList;
	}
	
}
